%define	Summary	A simple file manager with built-in FTP support

Summary:	%{Summary}
Name:		FileRunner
Version:	2.5.1
Release:	%mkrel 11
License:	GPL 
Group:		File tools
URL:		http://www.cd.chalmers.se/~hch/filerunner.html 
Source0:	http://www.cd.chalmers.se/~hch/FileRunner-2.5.1.tar.bz2
Requires:	tcl
BuildRequires:	tk tk-devel tcl tcl-devel XFree86-devel
BuildRequires:	ImageMagick
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
FileRunner shows you a recursive graphical directory menu of your 
entire file system tree, including a history and hotlist (like
bookmarks).  FileRunner can also be used to browse through FTP
directories as easily as normal directories.  FileRunner supports
many FTP functions (upload/download, delete, makedir, FTP through a
proxy, resume download, asynchronous file transfer, and more) and is 
very configurable and extensible.

%prep

%setup -q 

# http://qa.mandriva.com/show_bug.cgi?id=22193
find -type f | xargs perl -pi -e "s|\\\$glob\(doclib_fr\)|%{_docdir}/%{name}-%{version}|g"

# cleanup
rm -f ext.so*

%build

# instead of maintaining a patch...
. %{_libdir}/tclConfig.sh
. %{_libdir}/tkConfig.sh

gcc %{optflags} -Wall -fPIC $TCL_INCLUDE_SPEC -I$TK_SRC_DIR -I/usr/X11/include -c -o ext.o ext.c
gcc -shared -Wl,-soname,ext.so -o ext.so ext.o

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/FileRunner/bitmaps
mkdir -p $RPM_BUILD_ROOT%{_bindir}

cp -a bitmaps/* $RPM_BUILD_ROOT%{_libdir}/FileRunner/bitmaps
cp -a *.tcl $RPM_BUILD_ROOT%{_libdir}/FileRunner
cp -a ext.so $RPM_BUILD_ROOT%{_libdir}/FileRunner/ext.so
cp -a fr.gif $RPM_BUILD_ROOT%{_libdir}/FileRunner
cp -a icon.xpm $RPM_BUILD_ROOT%{_libdir}/FileRunner
cp -a tclIndex $RPM_BUILD_ROOT%{_libdir}/FileRunner

install -m755 fr $RPM_BUILD_ROOT%{_libdir}/FileRunner/fr
install -m755 frcolor $RPM_BUILD_ROOT%{_libdir}/FileRunner/frcolor
install -m755 frftp $RPM_BUILD_ROOT%{_libdir}/FileRunner/frftp

ln -s ../%{_lib}/FileRunner/fr $RPM_BUILD_ROOT%{_bindir}/fr

# Mandriva Icons
install -d %{buildroot}%{_iconsdir}
install -d %{buildroot}%{_miconsdir}
install -d %{buildroot}%{_liconsdir}

convert icon.xpm -resize 16x16  %{buildroot}%{_miconsdir}/%{name}.png
convert icon.xpm -resize 32x32  %{buildroot}%{_iconsdir}/%{name}.png
convert icon.xpm -resize 48x48  %{buildroot}%{_liconsdir}/%{name}.png

%{__install} -d $RPM_BUILD_ROOT%{_menudir}
%{__cat} <<EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_libdir}/%{name}/fr" \
icon=%{name}.png \
needs="x11" \
section="System/File Tools" \
title="%{name}"\
longtitle="%{Summary}" \
xdg="true"
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=%{Summary}
Exec=%{_libdir}/%{name}/fr
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-Internet-FileTransfer;
EOF

%post
%update_menus
%update_desktop_database

%postun
%clean_menus
%clean_desktop_database

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING FAQ HISTORY QuickStart.txt README Tips.txt Users_Guide.txt 
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*
%{_bindir}/fr
%{_menudir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applications/mandriva-%{name}.desktop

%changelog
* Sun Jul 30 2006 Oden Eriksson <oeriksson@mandriva.com> 2.5.1-11mdv2007.0
- fix the ext.so file
- fix the icons

* Sun Jul 30 2006 Oden Eriksson <oeriksson@mandriva.com> 2.5.1-10mdv2007.0
- fix #22193
- added lib64 fixes
- fix xdg menu

* Mon Jun 19 2006 Lenny Cartier <lenny@mandriva.com> 2.5.1-9mdv2007.0
- use mkrel

* Wed Jan 04 2006 Oden Eriksson <oeriksson@mandriva.com> 2.5.1-8mdk
- rebuilt against soname aware deps (tcl/tk)
- fix deps

* Wed Sep  1 2004 Warly <warly@mandrakesoft.com> 2.5.1-7mdk
- rebuild

* Fri Apr 23 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.5.1-6mdk
- fix buildrequires

* Sat Jul 12 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.5.1-5mdk
- rebuild
- fix unowned dir
- fix menu item
- compile with $RPM_OPT_FLAGS

* Thu Jul 19 2001 Stefan van der Eijk <stefan@eijk.nu> 2.5.1-4mdk
- BuildRequires:	tk XFree86-devel

* Tue Jan 16 2001 David BAUDENS <baudens@mandrakesoft.com> 2.5.1-3mdk
- BuildRequires: tk
- s/Copyright/License
- Build with gcc-2.96 and glibc-2.2.1

* Mon Aug 21 2000 Vincent Saugey <vince@mandrakesoft.com> 2.5.1-2mdk
- BM
- Macros

* Tue Jun 20 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.5.1-1mdk
- Updated version

* Wed Apr 19 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.5-3mdk
- fixed missing menu entries.

* Wed Apr 05 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.5-2mdk
- updated group for 7.1

* Wed Dec 08 1999 Jerome Dumonteil <jd@mandrakesoft.com>
- mandrake adaptation

* Sun Aug 15 1999 Dale Lovelace <dale@redhat.com>
- added filerunner.wmconfig

* Fri Jun 25 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Mon Apr 12 1999 Michael Maher <mike@redhat.com>
- updated 6.0 

* Wed Oct 06 1998 Michael Maher <mike@redhat.com>
- upgraded package
- cleaned up spec file

* Tue May 19 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 2.4.2

* Mon Feb 16 1998 Otto Hammersmith <otto@redhat.com>
- fixed description

* Thu Jan 08 1998 Mike Wangsmo <wanger@redhat.com>
- initial build
